Bug 1666991 - OLM create a lot of duplicate secret in namespace [NEEDINFO]
Summary: OLM create a lot of duplicate secret in namespace
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Evan Cordell
QA Contact: Zihan Tang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-17 07:45 UTC by Zihan Tang
Modified: 2019-06-04 10:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:42:02 UTC
Target Upstream Version:
zitang: needinfo? (ecordell)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:42:09 UTC

Description Zihan Tang 2019-01-17 07:45:21 UTC
Description of problem:
OLM create a lot of duplicate secret such as packageserver-token-xshnb, packageserver-dockercfg-z4ck in namespace  
Using OLM to install operator like kube-service-catalog, ansible-service-broker, it also create a lot of duplicate secret in project

Version-Release number of selected component (if applicable):
openshift-install v0.10.0
OLM version: 0.8.1 git commit: 54a541d
Cluster version is 4.0.0-0.1
OLM code commit: io.openshift.source-repo-commit=47482491fb29def1a3df05c3178b07de5761708f

How reproducible:
always

Steps to Reproduce:
1. install ocp 4.0 in aws  by using payload: quay.io/openshift-release-dev/ocp-release:4.0.0-0.1
2. after some time , check secret in OLM project 
3.

Actual results:
After about 20 hours, there are 300+ secret 
$ oc get secret -n openshift-operator-lifecycle-manager | wc -l
335

$ oc get secret
NAME                                             TYPE                                  DATA      AGE
olm-operators-configmap-server-token-dxsdq       kubernetes.io/service-account-token   3         1d
olm-operators-configmap-server-token-zrhcr       kubernetes.io/service-account-token   3         1d
packageserver-dockercfg-2h72w                    kubernetes.io/dockercfg               1         11h
packageserver-dockercfg-2xgj5                    kubernetes.io/dockercfg               1         23h
packageserver-dockercfg-2z4ts                    kubernetes.io/dockercfg               1         18h
....
packageserver-token-26d2h                        kubernetes.io/service-account-token   3         9h
packageserver-token-28n2q                        kubernetes.io/service-account-token   3         15h
packageserver-token-2f7ws                        kubernetes.io/service-account-token   3         18h
....



Expected results:
Do not create duplicate secret in namespace

Additional info:
 when using olm to install svcat operator and tsb operator, it also create a lot of secret
$ oc get secret -n openshift-template-service-broker | wc -l
2390

Comment 1 Jian Zhang 2019-01-22 04:39:01 UTC
Nick said the fixed PR is here: https://github.com/operator-framework/operator-lifecycle-manager/pull/479
But, we still suffering this issue by using the latest version.
mac:origin-22 jianzhang$ oc exec olm-operator-9bffc9776-9sbb4 -- olm --version
OLM version: 0.8.1
git commit: a36ed09 (the latest code commit which that PR merged in)

mac:origin-22 jianzhang$ oc get csv -n openshift-operator-lifecycle-manager
NAME                   DISPLAY          VERSION   REPLACES              PHASE
etcdoperator.v0.9.2    etcd             0.9.2     etcdoperator.v0.9.0   Succeeded
packageserver.v0.8.1   Package Server   0.8.1                           Succeeded
mac:origin-22 jianzhang$ oc get installplan -n openshift-operator-lifecycle-manager
NAME            CSV                    SOURCE    APPROVAL    APPROVED
install-45pxp   packageserver.v0.8.1             Automatic   true
install-46k5f   packageserver.v0.8.1             Automatic   true
install-4zd4g   packageserver.v0.8.1             Automatic   true
install-56pbq   packageserver.v0.8.1             Automatic   true
install-5cqg6   packageserver.v0.8.1             Automatic   true
install-8w4ld   packageserver.v0.8.1             Automatic   true
install-9lxr8   packageserver.v0.8.1             Automatic   true
install-9z9tb   packageserver.v0.8.1             Automatic   true
install-d4f9b   packageserver.v0.8.1             Automatic   true
install-dfg2p   packageserver.v0.8.1             Automatic   true
install-fvv5c   packageserver.v0.8.1             Automatic   true
install-gkgbl   packageserver.v0.8.1             Automatic   true
install-mrnkn   packageserver.v0.8.1             Automatic   true
install-mwmsx   packageserver.v0.8.1             Automatic   true
install-n2pkd   packageserver.v0.8.1             Automatic   true
install-pgfpc   packageserver.v0.8.1             Automatic   true
install-q79lc   packageserver.v0.8.1             Automatic   true
install-sxnq6   packageserver.v0.8.1             Automatic   true
install-t6gx5   packageserver.v0.8.1             Automatic   true
install-tps8q   packageserver.v0.8.1             Automatic   true
install-vjgnz   packageserver.v0.8.1             Automatic   true
install-vn4n7   packageserver.v0.8.1             Automatic   true
install-vzqr2   packageserver.v0.8.1             Automatic   true
install-wk4tw   packageserver.v0.8.1             Automatic   true
install-wkkkg   packageserver.v0.8.1             Automatic   true
install-xf9g5   packageserver.v0.8.1             Automatic   true
install-z22kh   packageserver.v0.8.1             Automatic   true
install-z6rll   packageserver.v0.8.1             Automatic   true
install-z8nmq   packageserver.v0.8.1             Automatic   true
install-z9wcf   packageserver.v0.8.1             Automatic   true

mac:origin-22 jianzhang$ oc get secret -n openshift-operator-lifecycle-manager
NAME                                             TYPE                                  DATA      AGE
builder-dockercfg-vfb69                          kubernetes.io/dockercfg               1         2h
builder-token-8vhb5                              kubernetes.io/service-account-token   3         2h
builder-token-vc2mv                              kubernetes.io/service-account-token   3         2h
default-dockercfg-xd4ln                          kubernetes.io/dockercfg               1         2h
default-token-4pzg9                              kubernetes.io/service-account-token   3         2h
default-token-x7jsg                              kubernetes.io/service-account-token   3         2h
deployer-dockercfg-vhwwf                         kubernetes.io/dockercfg               1         2h
deployer-token-hr4cg                             kubernetes.io/service-account-token   3         2h
deployer-token-qldnq                             kubernetes.io/service-account-token   3         2h
olm-operator-serviceaccount-dockercfg-4q6jq      kubernetes.io/dockercfg               1         2h
olm-operator-serviceaccount-token-84rnh          kubernetes.io/service-account-token   3         2h
olm-operator-serviceaccount-token-db5k4          kubernetes.io/service-account-token   3         2h
olm-operators-configmap-server-dockercfg-kb4ss   kubernetes.io/dockercfg               1         2h
olm-operators-configmap-server-token-bzd98       kubernetes.io/service-account-token   3         2h
olm-operators-configmap-server-token-qffvw       kubernetes.io/service-account-token   3         2h
packageserver-dockercfg-2fwns                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-4fjcx                    kubernetes.io/dockercfg               1         48m
packageserver-dockercfg-4qgrn                    kubernetes.io/dockercfg               1         21m
packageserver-dockercfg-55jt7                    kubernetes.io/dockercfg               1         24m
packageserver-dockercfg-65pfq                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-7lzhs                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-7mdwc                    kubernetes.io/dockercfg               1         4m
packageserver-dockercfg-85ltc                    kubernetes.io/dockercfg               1         55m
packageserver-dockercfg-8bmf8                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-8bnb6                    kubernetes.io/dockercfg               1         15m
packageserver-dockercfg-8bvfb                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-8c8qt                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-9pskq                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-9wwp2                    kubernetes.io/dockercfg               1         28m
packageserver-dockercfg-crr8s                    kubernetes.io/dockercfg               1         41m
packageserver-dockercfg-crt6r                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-dplfv                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-f2v2z                    kubernetes.io/dockercfg               1         40s
packageserver-dockercfg-fvg6s                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-fwbxd                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-g2rwz                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-g45z6                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-g6dfg                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-gt974                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-jc6rp                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-jd4pg                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-k9zjt                    kubernetes.io/dockercfg               1         10m
packageserver-dockercfg-kdrc8                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-kgslv                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-l9rqq                    kubernetes.io/dockercfg               1         7m
packageserver-dockercfg-lxxmg                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-mfz8b                    kubernetes.io/dockercfg               1         31m
packageserver-dockercfg-p4k56                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-pdhwt                    kubernetes.io/dockercfg               1         58m
packageserver-dockercfg-pq48v                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-qnmd2                    kubernetes.io/dockercfg               1         14m
packageserver-dockercfg-qvbz6                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-rbsj5                    kubernetes.io/dockercfg               1         52m
packageserver-dockercfg-rr2cw                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-s6grz                    kubernetes.io/dockercfg               1         49m
packageserver-dockercfg-scdtc                    kubernetes.io/dockercfg               1         45m
packageserver-dockercfg-sqcjt                    kubernetes.io/dockercfg               1         34m
packageserver-dockercfg-t4xpx                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-t9p8r                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-td79d                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-tn2v9                    kubernetes.io/dockercfg               1         17m
packageserver-dockercfg-ttrdx                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-v2r6t                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-v2rcg                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-vqgkp                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-wdrd4                    kubernetes.io/dockercfg               1         38m
packageserver-dockercfg-wkpfl                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-wzftm                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-x87vq                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-xcnkf                    kubernetes.io/dockercfg               1         2h
packageserver-dockercfg-xgxgb                    kubernetes.io/dockercfg               1         1h
packageserver-dockercfg-xzw27                    kubernetes.io/dockercfg               1         19m
packageserver-dockercfg-z9trq                    kubernetes.io/dockercfg               1         34m
packageserver-dockercfg-z9vsg                    kubernetes.io/dockercfg               1         21s
packageserver-token-27qdb                        kubernetes.io/service-account-token   3         1h
packageserver-token-2f28m                        kubernetes.io/service-account-token   3         24m
packageserver-token-2fsm9                        kubernetes.io/service-account-token   3         1h
packageserver-token-2lf72                        kubernetes.io/service-account-token   3         1h
packageserver-token-2tk57                        kubernetes.io/service-account-token   3         1h
...

Comment 3 Jian Zhang 2019-01-31 02:39:36 UTC
Zihan,

Please help to verify this bug.

Comment 4 Zihan Tang 2019-01-31 05:52:01 UTC
With OLM version: 0.8.1 git commit: 1f31248, it didn't create too many duplicate secrets. 
But for some kinds of secret, it still exists 2 secrets, such as 'olm-operators-configmap-server-token-***',are the 2 secrets for different usages?

[core@ip-10-0-13-34 ~]$ oc get secret
NAME                                             TYPE                                  DATA   AGE
builder-dockercfg-zmmkr                          kubernetes.io/dockercfg               1      3h21m
builder-token-dm9js                              kubernetes.io/service-account-token   3      3h21m
builder-token-n7t97                              kubernetes.io/service-account-token   3      3h21m
default-dockercfg-cmkp2                          kubernetes.io/dockercfg               1      3h21m
default-token-ml6jr                              kubernetes.io/service-account-token   3      3h22m
default-token-w4gf6                              kubernetes.io/service-account-token   3      3h25m
deployer-dockercfg-rhw49                         kubernetes.io/dockercfg               1      3h21m
deployer-token-h9pxf                             kubernetes.io/service-account-token   3      3h21m
deployer-token-xs7f5                             kubernetes.io/service-account-token   3      3h21m
olm-operator-serviceaccount-dockercfg-g5fgr      kubernetes.io/dockercfg               1      3h21m
olm-operator-serviceaccount-token-7sk7f          kubernetes.io/service-account-token   3      3h26m
olm-operator-serviceaccount-token-p7nf8          kubernetes.io/service-account-token   3      3h21m
olm-operators-configmap-server-dockercfg-v5bdq   kubernetes.io/dockercfg               1      3h21m
olm-operators-configmap-server-token-jxx8q       kubernetes.io/service-account-token   3      3h22m
olm-operators-configmap-server-token-mhzgn       kubernetes.io/service-account-token   3      3h25m
packageserver-dockercfg-svz8j                    kubernetes.io/dockercfg               1      3h21m
packageserver-token-948q8                        kubernetes.io/service-account-token   3      3h21m
packageserver-token-z85dl                        kubernetes.io/service-account-token   3      3h21m
v1alpha1.packages.apps.redhat.com-cert           kubernetes.io/tls                     2      3h21m

[core@ip-10-0-13-34 ~]$ oc get secret olm-operators-configmap-server-token-jxx8q -o yaml
apiVersion: v1
data:
  ca.crt: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURNRENDQWhpZ0F3SUJBZ0lJQ2t2STB0end1Zmd3RFFZSktvWklodmNOQVFFTEJRQXdKakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SQXdEZ1lEVlFRREV3ZHliMjkwTFdOaE1CNFhEVEU1TURFek1UQXlNRFF3T1ZvWApEVEk1TURFeU9EQXlNRFF3T1Zvd0pURVJNQThHQTFVRUN4TUlZbTl2ZEd0MVltVXhFREFPQmdOVkJBTVRCMnQxClltVXRZMkV3Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRRGlES1laUVF1RytWRHkKeWZGaVRjd3c5a21oQ1pmeEpHY1o1NUNpS0hRbXcyMHF4aVFlNnBRTDRubDhaVHBub201NjZDcTl6allyN1M3cQpvNkVWbWRuL1o2dE04Z3hjRkovYktpTmN3UWR3RytqWmpWcmZGQWZYVmFDVGpKUFd6a2N2SW5UaTBiMm85dkdMCi9KaXZRZ1FpZnh1Zk5HZE1WbGYyYUlJY0hTYi9xV0RNVkpRTThTQUw2ZG5YeEgvYVhhWDJMczJtcGtXSVF6QS8KcDNVQ3V4b1BLSEU4bDZoZGpSNE9HNzd5VG5TN0pzemVnaGFMd29GQ2k5akdMeHFtS01sK01EbnJKaWRKbjNDNgp5d1o0ZVBRVCtyRUdiVC9oRU9YWHFOTGJ3azNlbW9vRVNOYUNoYnIxWlZVb0xveVVkemJvaXR4b3ZoVWhMZ1hVCk1oVWxMNVFsQWdNQkFBR2pZekJoTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUJBZjhFQlRBREFRSC8KTUIwR0ExVWREZ1FXQkJSZ2dra1c3MFJ4T1kxUnVRWXVYcWVrZ2xpQVpqQWZCZ05WSFNNRUdEQVdnQlJnZ2trVwo3MFJ4T1kxUnVRWXVYcWVrZ2xpQVpqQU5CZ2txaGtpRzl3MEJBUXNGQUFPQ0FRRUFsT0kzOXRpallBT0xEM2JjCis0Z01MTklnVUUvb015aW9CTWNzMVRLRyt5NkdyS25Vd3piclVkU1ZzZmFKUXlIS3JQVEJINXYyYUdFTitHTkkKYzVXQmw0RUJ1aGFnbytlYmxHWUhmTURjanN4dHZsSEtYNWNxUFcvZ251Z2U4cTR4U1IzYUQwVXE4YjRlV1VqRQpJekQ3bkFtemo1NDVObk1TNnlNRzVneUxvTG9TVnJoNGcyMmtNRDE4TklOTWpScFBtdW9CcVk4Wldrd0lZK2hYCnVmMUthYmVVU2RxQ1JZeXIyckt5WHhHNlZwc0pIbjUyR0V2bU85dzRIQkxQYUsrL0xjNWw5N1pRZnFlOXVicTAKT0tzK0p3SEdCVE0xV0t0ZnZFVmRjc1NmcFIybm10R0ZkRVVTQk1ubUJUR3VnZmdGa203NU44ODk3bW9jMTVBYgpvQU55RVE9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
  namespace: b3BlbnNoaWZ0LW9wZXJhdG9yLWxpZmVjeWNsZS1tYW5hZ2Vy
  token: ZXlKaGJHY2lPaUpTVXpJMU5pSXNJbXRwWkNJNklpSjkuZXlKcGMzTWlPaUpyZFdKbGNtNWxkR1Z6TDNObGNuWnBZMlZoWTJOdmRXNTBJaXdpYTNWaVpYSnVaWFJsY3k1cGJ5OXpaWEoyYVdObFlXTmpiM1Z1ZEM5dVlXMWxjM0JoWTJVaU9pSnZjR1Z1YzJocFpuUXRiM0JsY21GMGIzSXRiR2xtWldONVkyeGxMVzFoYm1GblpYSWlMQ0pyZFdKbGNtNWxkR1Z6TG1sdkwzTmxjblpwWTJWaFkyTnZkVzUwTDNObFkzSmxkQzV1WVcxbElqb2liMnh0TFc5d1pYSmhkRzl5Y3kxamIyNW1hV2R0WVhBdGMyVnlkbVZ5TFhSdmEyVnVMV3A0ZURoeElpd2lhM1ZpWlhKdVpYUmxjeTVwYnk5elpYSjJhV05sWVdOamIzVnVkQzl6WlhKMmFXTmxMV0ZqWTI5MWJuUXVibUZ0WlNJNkltOXNiUzF2Y0dWeVlYUnZjbk10WTI5dVptbG5iV0Z3TFhObGNuWmxjaUlzSW10MVltVnlibVYwWlhNdWFXOHZjMlZ5ZG1salpXRmpZMjkxYm5RdmMyVnlkbWxqWlMxaFkyTnZkVzUwTG5WcFpDSTZJbVEwWTJZNU9EZzBMVEkwWm1VdE1URmxPUzFpWm1GakxUQTJNakV6TmpNeE9UWm1aU0lzSW5OMVlpSTZJbk41YzNSbGJUcHpaWEoyYVdObFlXTmpiM1Z1ZERwdmNHVnVjMmhwWm5RdGIzQmxjbUYwYjNJdGJHbG1aV041WTJ4bExXMWhibUZuWlhJNmIyeHRMVzl3WlhKaGRHOXljeTFqYjI1bWFXZHRZWEF0YzJWeWRtVnlJbjAuMEVaWXFxa09QWUZZenp1YnFNbTNKZ1Q3SUloR3RsWXN2TlF4OUxudk05S3poNEMxNDczWW9FVHA5U3g2d01XWDV0b1U1ZlVSWjBvYzg1bE51SEI5T2doYUlSU2VqTVBrZ2wtN0NTQzdyY09UTl9ZV2tWeExudXVVSEYzVmhTeW5rQ0FIdkdxZ0tFTjQyQnpFVUxDQVVmMUk3TUoySzJpUWw5bm1wRWRJdFlWRTVtTnc0X1RNWVB4TTg1TGtSM1l4SzYteFRGV0tDSXZhNnFZYUVqZ01rOHRPNjdCLWFRX2lYRTc5cFN0ZDFqeDhoR19NdGZqSHFsb2NTZW1RNHlCbUV4akJJUHU4VHRRczVZTElQRnBCcTVOTm5wNmRZZzBPNFVHdHFTZ1ZEVWlCTUljMjVwemk2Q18ybDhCUXo1OUU1LW9OTlIxN3o2bEx5WXBRTEEyaGF3
kind: Secret
metadata:
  annotations:
    kubernetes.io/created-by: openshift.io/create-dockercfg-secrets
    kubernetes.io/service-account.name: olm-operators-configmap-server
    kubernetes.io/service-account.uid: d4cf9884-24fe-11e9-bfac-0621363196fe
  creationTimestamp: 2019-01-31T02:24:32Z
  name: olm-operators-configmap-server-token-jxx8q
  namespace: openshift-operator-lifecycle-manager
  resourceVersion: "7002"
  selfLink: /api/v1/namespaces/openshift-operator-lifecycle-manager/secrets/olm-operators-configmap-server-token-jxx8q
  uid: 58650ef4-24ff-11e9-a9ff-0a6b025cd452
type: kubernetes.io/service-account-token

[core@ip-10-0-13-34 ~]$ oc get secret olm-operators-configmap-server-token-mhzgn -o yaml 
apiVersion: v1
data:
  ca.crt: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURNRENDQWhpZ0F3SUJBZ0lJQ2t2STB0end1Zmd3RFFZSktvWklodmNOQVFFTEJRQXdKakVTTUJBR0ExVUUKQ3hNSmIzQmxibk5vYVdaME1SQXdEZ1lEVlFRREV3ZHliMjkwTFdOaE1CNFhEVEU1TURFek1UQXlNRFF3T1ZvWApEVEk1TURFeU9EQXlNRFF3T1Zvd0pURVJNQThHQTFVRUN4TUlZbTl2ZEd0MVltVXhFREFPQmdOVkJBTVRCMnQxClltVXRZMkV3Z2dFaU1BMEdDU3FHU0liM0RRRUJBUVVBQTRJQkR3QXdnZ0VLQW9JQkFRRGlES1laUVF1RytWRHkKeWZGaVRjd3c5a21oQ1pmeEpHY1o1NUNpS0hRbXcyMHF4aVFlNnBRTDRubDhaVHBub201NjZDcTl6allyN1M3cQpvNkVWbWRuL1o2dE04Z3hjRkovYktpTmN3UWR3RytqWmpWcmZGQWZYVmFDVGpKUFd6a2N2SW5UaTBiMm85dkdMCi9KaXZRZ1FpZnh1Zk5HZE1WbGYyYUlJY0hTYi9xV0RNVkpRTThTQUw2ZG5YeEgvYVhhWDJMczJtcGtXSVF6QS8KcDNVQ3V4b1BLSEU4bDZoZGpSNE9HNzd5VG5TN0pzemVnaGFMd29GQ2k5akdMeHFtS01sK01EbnJKaWRKbjNDNgp5d1o0ZVBRVCtyRUdiVC9oRU9YWHFOTGJ3azNlbW9vRVNOYUNoYnIxWlZVb0xveVVkemJvaXR4b3ZoVWhMZ1hVCk1oVWxMNVFsQWdNQkFBR2pZekJoTUE0R0ExVWREd0VCL3dRRUF3SUNwREFQQmdOVkhSTUJBZjhFQlRBREFRSC8KTUIwR0ExVWREZ1FXQkJSZ2dra1c3MFJ4T1kxUnVRWXVYcWVrZ2xpQVpqQWZCZ05WSFNNRUdEQVdnQlJnZ2trVwo3MFJ4T1kxUnVRWXVYcWVrZ2xpQVpqQU5CZ2txaGtpRzl3MEJBUXNGQUFPQ0FRRUFsT0kzOXRpallBT0xEM2JjCis0Z01MTklnVUUvb015aW9CTWNzMVRLRyt5NkdyS25Vd3piclVkU1ZzZmFKUXlIS3JQVEJINXYyYUdFTitHTkkKYzVXQmw0RUJ1aGFnbytlYmxHWUhmTURjanN4dHZsSEtYNWNxUFcvZ251Z2U4cTR4U1IzYUQwVXE4YjRlV1VqRQpJekQ3bkFtemo1NDVObk1TNnlNRzVneUxvTG9TVnJoNGcyMmtNRDE4TklOTWpScFBtdW9CcVk4Wldrd0lZK2hYCnVmMUthYmVVU2RxQ1JZeXIyckt5WHhHNlZwc0pIbjUyR0V2bU85dzRIQkxQYUsrL0xjNWw5N1pRZnFlOXVicTAKT0tzK0p3SEdCVE0xV0t0ZnZFVmRjc1NmcFIybm10R0ZkRVVTQk1ubUJUR3VnZmdGa203NU44ODk3bW9jMTVBYgpvQU55RVE9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==
  namespace: b3BlbnNoaWZ0LW9wZXJhdG9yLWxpZmVjeWNsZS1tYW5hZ2Vy
  token: ZXlKaGJHY2lPaUpTVXpJMU5pSXNJbXRwWkNJNklpSjkuZXlKcGMzTWlPaUpyZFdKbGNtNWxkR1Z6TDNObGNuWnBZMlZoWTJOdmRXNTBJaXdpYTNWaVpYSnVaWFJsY3k1cGJ5OXpaWEoyYVdObFlXTmpiM1Z1ZEM5dVlXMWxjM0JoWTJVaU9pSnZjR1Z1YzJocFpuUXRiM0JsY21GMGIzSXRiR2xtWldONVkyeGxMVzFoYm1GblpYSWlMQ0pyZFdKbGNtNWxkR1Z6TG1sdkwzTmxjblpwWTJWaFkyTnZkVzUwTDNObFkzSmxkQzV1WVcxbElqb2liMnh0TFc5d1pYSmhkRzl5Y3kxamIyNW1hV2R0WVhBdGMyVnlkbVZ5TFhSdmEyVnVMVzFvZW1kdUlpd2lhM1ZpWlhKdVpYUmxjeTVwYnk5elpYSjJhV05sWVdOamIzVnVkQzl6WlhKMmFXTmxMV0ZqWTI5MWJuUXVibUZ0WlNJNkltOXNiUzF2Y0dWeVlYUnZjbk10WTI5dVptbG5iV0Z3TFhObGNuWmxjaUlzSW10MVltVnlibVYwWlhNdWFXOHZjMlZ5ZG1salpXRmpZMjkxYm5RdmMyVnlkbWxqWlMxaFkyTnZkVzUwTG5WcFpDSTZJbVEwWTJZNU9EZzBMVEkwWm1VdE1URmxPUzFpWm1GakxUQTJNakV6TmpNeE9UWm1aU0lzSW5OMVlpSTZJbk41YzNSbGJUcHpaWEoyYVdObFlXTmpiM1Z1ZERwdmNHVnVjMmhwWm5RdGIzQmxjbUYwYjNJdGJHbG1aV041WTJ4bExXMWhibUZuWlhJNmIyeHRMVzl3WlhKaGRHOXljeTFqYjI1bWFXZHRZWEF0YzJWeWRtVnlJbjAuZ3d5cEJhU01PZ2UyUzhoa0RncDc3S25KUFRsZzlnVFlEWVp5UE9JWk41ZHM2aUV4dkdRYnlOU3dxdXIzcGZHRVVKOXl1cTBxX19NNUpqX0NFS19GQV9qLXBpRWwtVlhIUmRoVXJieGYtTFpkWG8zVFZGOTRTXzZid2VkU3ZiMkc1dkxfSTlqcjdfMGE5SkZReHVHTkw0dWpjTEZNZWZSZ25kVXVYWnltT2lOb194UldOUzNzai1fZFhIZnJwU1p4U1hkNTF0ZnZNbUdWYnJ6eEJ6b1V2LWNiVHVzQWUxSUxyWlFfd2xDcFRlbVdNMHZZck4tUjAwTGJ1bGNoeWV3UUdleUlmRnFUQW1FTDBqaXk0dXJaalgtcVpfdjE1dHZpVjdpUFFTZkdoV3VQYjZ2MWw3dTY0NkU1OVQwVThMSUxqMjg3cGVCOG5mS0lVZm5ibW1XaXZ3
kind: Secret
metadata:
  annotations:
    kubernetes.io/service-account.name: olm-operators-configmap-server
    kubernetes.io/service-account.uid: d4cf9884-24fe-11e9-bfac-0621363196fe
  creationTimestamp: 2019-01-31T02:20:52Z
  name: olm-operators-configmap-server-token-mhzgn
  namespace: openshift-operator-lifecycle-manager
  resourceVersion: "3614"
  selfLink: /api/v1/namespaces/openshift-operator-lifecycle-manager/secrets/olm-operators-configmap-server-token-mhzgn
  uid: d4d2832a-24fe-11e9-997c-024457f55e06
type: kubernetes.io/service-account-token

Comment 5 Zihan Tang 2019-02-02 03:23:02 UTC
As described in #comment4, it stops continuously creating secrets and installplan, move to VERIFIED.

Comment 8 errata-xmlrpc 2019-06-04 10:42:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.